maven-local-5.2.0+git20180620.70fa2258-lp150.60.1.x86_64.rpm


Advertisement

Description

maven-local - Macros and scripts for Maven packaging support

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Education all
Package name maven-local
Package version 5.2.0+git20180620.70fa2258
Package release lp150.60.1
Package architecture x86_64
Package type rpm
Installed size unknown
Download size 12.27 KB
Official Mirror ftp.gwdg.de
This package provides macros and scripts to support packaging Maven artifacts.

Alternatives

Package Version Architecture Repository
maven-local-5.2.0+git20180620.70fa2258-lp150.57.1.x86_64.rpm 5.2.0+git20180620.70fa2258 x86_64 openSUSE JAVA
maven-local-5.0.0+git20180104.9367c8f6-lp150.1.2.x86_64.rpm 5.0.0+git20180104.9367c8f6 x86_64 openSUSE Oss
maven-local - - -

Requires

Name Value
javapackages-local = 5.2.0+git20180620.70fa2258
javapackages-tools = 5.2.0+git20180620.70fa2258

Provides

Name Value
maven-local = 5.2.0+git20180620.70fa2258-lp150.60.1
maven-local(x86-64) = 5.2.0+git20180620.70fa2258-lp150.60.1

Download

Type URL
Binary Package maven-local-5.2.0+git20180620.70fa2258-lp150.60.1.x86_64.rpm
Source Package javapackages-tools-extras-5.2.0+git20180620.70fa2258-lp150.60.1.src.rpm

Install Howto

  1. Add the openSUSE Education repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Education/openSUSE_Leap_15.0/ opensuse-education
  2. Install maven-local rpm package:
    # zypper install maven-local

Changelog

2018-07-24 - tchvatal@suse.com
- Switch to multibuild layout
2018-07-24 - tchvatal@suse.com
- Update to version 5.2.0+git20180620.70fa2258:
* Rename the async kwarg in call_script to wait (reverses the logic)
* Actually bump version to 5.3.0 snapshot
* Bump version in VERSION file
* [man] s/Pacakge/Package/g
* Fix typos in README
* Fix configure-base.sh after filesystem macro split
* Split filesystem macros to separate macro file
* Introduce javapackages-filesystem package
* [java-functions] extend ABRT Java agent options
* change abrt-java-connector upstream URL
* Remove resolverSettings/prefixes from XMvn config
* Add macros to allow passing arbitrary options to XMvn
* [spec] Bump package version to 5.1.0
* Allow specifying custom repo when calling xmvn-install
- Refresh patches:
* suse-use-libdir.patch
* python-optional.patch
2018-01-22 - tchvatal@suse.com
- Update to version 5.0.0+git20180104.9367c8f6:
* [java-functions] Avoid colons in jar names
* Workaround for SCL enable scripts not working with -e
* Second argument to pom_xpath_inject is mandatory
* [mvn_artifact] Provide more helpful error messages
* Fix traceback on corrupt zipfile
* [test] Add reproducer for rhbz#1481005
* [spec] Fix default JRE path
* [readme] Fix typo
* Add initial content to README.md (#21)
* Decouple JAVA_HOME setting from java command alternatives
- Rebase patches:
* python-optional.patch
* suse-use-libdir.patch
- Drop merged patch fix-abs2rel.patch
2017-05-24 - tchvatal@suse.com
- Fix typo in suse-use-libdir.patch
2017-05-19 - tchvatal@suse.com
- Fix url to correct one https://github.com/fedora-java/javapackages
2017-05-18 - tchvatal@suse.com
- Split to python and non-python edition for smaller depgraph
- Add patch python-optional.patch
- Fix abs2rel shebang:
* fix-abs2rel.patch
- Fix Requires on subpackages to point to javapackages-tools proper
2017-05-18 - tchvatal@suse.com
- Update to version 4.7.0+git20170331.ef4057e7:
* Reimplement abs2rel in Python
* Don't expand {scl} in macro definitions
* Install expanded rpmfc attr files
* [spec] Avoid file conflicts between in SCL
* Fix macros.d directory ownership
* Make %ant macro enable SCL when needed
* [spec] Fix file conflicts between SCL and non-SCL packages
* Fix ownership of ivyxmldir
* [test] Force locale for python processes
* Don't include timestamp in generated pom.properties
- Remove patch merged by upstream:
* create_valid_xml_comments.patch
- Remove patch suse-macros-install-location.patch
* We switch to /usr/lib/ location for macros
- Try to reduce some dependencies bsc#1036025
- Refresh patch suse-use-libdir.patch
2016-02-12 - toddrme2178@gmail.com
- Add create_valid_xml_comments.patch
python-lxml 3.5.0 introduces validation for xml comments, and
one of the comments created in this package were not valid.
This patch fixes the problem.  It backported from upstream and
should be in the next release.
https://github.com/mizdebsk/javapackages/commit/84211c0ee761e93ee507f5d37e9fc80ec377e89d
2016-02-08 - tchvatal@suse.com
- Version update to 4.6.0:
* various bugfixes for maven tooling
* introduction to gradle-local package for gradle packaging
2015-04-01 - tchvatal@suse.com
- Drop dependency over source-highlight as it causes build cycle

See Also

Package Description
maxima-5.41.0-lp150.70.22.x86_64.rpm Symbolic Computation Program/Computer Algebra System
maxima-exec-clisp-5.41.0-lp150.70.22.x86_64.rpm Maxima compiled with clisp
maxima-lang-de-utf8-5.41.0-lp150.70.22.x86_64.rpm Maxima German UTF-8 language pack
maxima-lang-es-utf8-5.41.0-lp150.70.22.x86_64.rpm Maxima Spanish UTF-8 language pack
maxima-lang-pt-utf8-5.41.0-lp150.70.22.x86_64.rpm Maxima Portuguese UTF-8 language pack
maxima-lang-pt_BR-utf8-5.41.0-lp150.70.22.x86_64.rpm Maxima Brazilian Portuguese UTF-8 language pack
maxima-xmaxima-5.41.0-lp150.70.22.x86_64.rpm Tcl/Tk interface to Maxima
mimetex-1.76-lp150.1.1.x86_64.rpm LaTeX math expressions to anti-aliased GIF images converter
mnemosyne-2.6-lp150.1.1.noarch.rpm Flash-card learning tool
mnemosyne-lang-2.6-lp150.1.1.noarch.rpm Translations for package mnemosyne
mobidict-1.2-lp150.13.1.x86_64.rpm A dictionary viewer for AZW/MOBI files
moodle-theme-academi-2015122500-lp150.1.1.noarch.rpm Academi is a modern and customizable theme for Moodle
moodle3_4-3.4.3-lp150.1.1.noarch.rpm A Course Management System
moodle3_4-af-3.4.3-lp150.1.1.noarch.rpm Moodle language pack for Afrikaans
moodle3_4-ar-3.4.3-lp150.1.1.noarch.rpm Moodle language pack for Arabic
Advertisement
Advertisement